#include <mega8.h>
#include <delay.h>
// External Interrupt 0 service routine
interrupt [EXT_INT0] void ext_int0_isr(void)
{
// Place your code here
//    #asm("nop");
    #asm("cli") //  
    PORTB.0=!PORTB.0; //    PB0
    delay_us(500); //  ,     1V  0,6V
    #asm("sei")
}
//************************************************************************************************** 
// External Interrupt 1 service routine
interrupt [EXT_INT1] void ext_int1_isr(void)
{
// Place your code here
//    #asm("nop");
    #asm("cli") //  
    PORTB.1=!PORTB.1; //    PB1
    delay_us(500);  //  ,     1V  0,6V
    #asm("sei") //  
}
//**************************************************************************************************    
void main(void)
{
// Input/Output Ports initialization
// Port B initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1= Func0=
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTB=0x00;
DDRB=0x03;
// Port C initialization
// Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTC=0x00;
DDRC=0x00;
// Port D initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTD=0x00;
DDRD=0x00;
// External Interrupt(s) initialization
// INT0: On
// INT0 Mode: Low level
// INT1: On
// INT1 Mode: Low level
GICR|=0xC0;
MCUCR=0x00;
GIFR=0xC0;
// Global enable interrupts
#asm("sei")
//*************************************************                        
            
    while (1)
    {      
        #asm("nop");
        #asm("nop");
        #asm("nop");                
    }   
}